#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*****************************************************************************
#       Copyright (C) 2006 Serge Weinstock <serge.weinstock@ntlworld.com>
#  Distributed under the terms of the BSD License.  The full license is in
#  the file COPYING, distributed as part of this software.
#*****************************************************************************
import os
from kdedistutils.kdedistutils import setup
from glob import glob
from src import release

# Call the setup() routine which does most of the work
setup(
    name               = release.appname,
    version            = release.version,
    description        = release.description,
    long_description   = release.long_description,
    author             = release.authors['Serge'][0],
    author_email       = release.authors['Serge'][2],
    url                = release.url,
    download_url       = release.download_url,
    license            = release.license,
    platforms          = release.platforms,
    keywords           = release.keywords,

    min_kde_version    = "3.3.0",
    min_qt_version     = "3.3.0",

    application_data = [
        ('', [f for f in glob('src/*.py') if f != 'src/__init__.py']),
        ('', glob('src/*.rc')),
        ],
    xdgdata_apps = ['Desktop/kUWC.desktop'],
    mime = {
        'image' : ['Desktop/wbc.desktop', 'Desktop/wbz.desktop', 'Desktop/wbd.desktop'],
        },
    executable_links = [('kuwc','kUWC.py')],
    i18n = ('po',['src']),
    icons =  {
        'locolor' :  {
            '16x16' : {
                'mimetypes' : {'webshot-file.png': 'icons/wsf-16x16x4.png', 'webshot-col.png': 'icons/wsc-16x16x4.png'},
                },
            '32x32' : {
                'mimetypes' : {'webshot-file.png': 'icons/wsf-32x32x4.png', 'webshot-col.png': 'icons/wsc-32x32x4.png'},
                },
            '48x48' : {
                'mimetypes' : {'webshot-col.png': 'icons/wsc-48x48x4.png'},
                },
            },
        'hicolor' :  {
            '16x16' : {
                'apps' : {'kUWC.png': 'icons/UWC-16x16x32.png'},
                'mimetypes' : {'webshot-file.png': 'icons/wsf-16x16x32.png', 'webshot-col.png': 'icons/wsc-16x16x32.png'},
                },
            '32x32' : {
                'apps' : {'kUWC.png': 'icons/UWC-32x32x32.png'},
                'mimetypes' : {'webshot-file.png': 'icons/wsf-32x32x32.png', 'webshot-col.png': 'icons/wsc-32x32x32.png'},
                },
            '48x48' : {
                'mimetypes' : {'webshot-file.png': 'icons/wsf-48x48x32.png', 'webshot-col.png': 'icons/wsc-48x48x32.png'},
                },
            },
        }
    #docbooks = [ ('doc/en','en') ],
    )
