#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*****************************************************************************
#       Copyright (C) 2006 Serge Weinstock <serge.weinstock@ntlworld.com>>
#  Distributed under the terms of the BSD License.  The full license is in
#  the file COPYING, distributed as part of this software.
#*****************************************************************************
"""
The view used for files containing only one picture
"""
from kdecore import i18n
from kdeutils import getIcon
from baseview import BaseView
import webshots

class ImageView(BaseView):
    """
    The view used for files containing only one picture
    """
    __count = 0
    def __init__(self, url, pixmap, parent):
        """
        Constructor

        @param[in] url a KURL to the original file
        @param[in] pixmap the QPixmap containing the image
        @param[in] info the info about the image
        @param[in] parent the view parent widget
        """
        title = pixmap.info.get(webshots.K_TITLE, "")
        if not title:
            title = i18n("Image %1").arg(ImageView.__count+1)
        #
        BaseView.__init__(self, url, title, parent)
        #
        self.setIcon(getIcon("webshot-file"))
        # let's create the the UI
        self.createImageViewer(pixmap, self, True)
        #
        ImageView.__count += 1
